game = {}

function game.load()
	loadMap()
	
end
function loadMap()
  TileW, TileH = 64,64
  
  Tileset = love.graphics.newImage('countryside2.png')
  
  local tilesetW, tilesetH = Tileset:getWidth(), Tileset:getHeight()
  
  Quads = {
    love.graphics.newQuad(0,   0, TileW, TileH, tilesetW, tilesetH), -- 1 = grass
    love.graphics.newQuad(64,  0, TileW, TileH, tilesetW, tilesetH), -- 2 = box
    love.graphics.newQuad(0,  64, TileW, TileH, tilesetW, tilesetH), -- 3 = flowers
    love.graphics.newQuad(64, 64, TileW, TileH, tilesetW, tilesetH),  -- 4 = boxtop
	love.graphics.newQuad(128, 0, TileW, TileH, tilesetW, tilesetH),  -- 5 = Basis-Karte
	love.graphics.newQuad(128,64,TileW, TileH, tilesetW, tilesetH),  -- 6 = Ereignis-Karte
	love.graphics.newQuad(192,0,TileW, TileH, tilesetW, tilesetH),  -- 7 = Siedlung
	love.graphics.newQuad(0,128,TileW, TileH, tilesetW, tilesetH),  -- 8 = Holz
	love.graphics.newQuad(64,128,TileW, TileH, tilesetW, tilesetH),  -- 9 = Straße
	love.graphics.newQuad(128,128,TileW, TileH, tilesetW, tilesetH),  -- 10 = Erz
	love.graphics.newQuad(192,64,TileW, TileH, tilesetW, tilesetH)  -- 11 = Leer
	
	
  }
  
  TileTable = {
  
     { 11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11 },
     { 1 ,1 ,1 ,1 ,1 ,1 ,7 ,9 ,7 ,9 ,7 ,1 ,1 ,1 ,1 ,1 },
     { 1 ,1 ,1 ,1 ,1 ,1 ,1 ,10,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 },
     { 1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 },
     { 1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 },
     { 1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 },
     { 1 ,1 ,1 ,5 ,5 ,5 ,5 ,5 ,5 ,5 ,5 ,6 ,1 ,1 ,1 ,1 },
     { 1 ,1 ,1 ,1 ,1 ,10,1 ,10,1 ,10,1 ,10,1 ,1 ,1 ,1 },
     { 1 ,1 ,1 ,1 ,1 ,9 ,7 ,9 ,7 ,9 ,7 ,9 ,1 ,1 ,1 ,1 },           
     { 1 ,1 ,1 ,1 ,1 ,8 ,1 ,8 ,1 ,8 ,1 ,8 ,1 ,1 ,1 ,1 },
     { 1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 },
     { 1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,1 },
	 { 11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11 }
     
  }
  
end
function game.draw()
	
	love.graphics.draw(imgs["plainwood"])
     drawMap()                    
	
	-- Draw game info
	love.graphics.setColor(fontcolor.r,fontcolor.g,fontcolor.b)
	love.graphics.printf("Enemy",10,10,love.graphics.getWidth(),"left")
	 -- Draw Player 1 Name
	love.graphics.printf("Player 1",-30,790,love.graphics.getWidth(),"right")
	-- Draw dice 
	
	
	-- Check ob Karten Basis Karten sind :D 
	if Quads[1] then
		love.graphics.printf("Basis-Karte",-50,100,love.graphics.getWidth(),"right")
	end
end

function drawMap()
  for rowIndex=1, #TileTable do
		local row = TileTable[rowIndex]
		for columnIndex=1, #row do
		  local number = row[columnIndex]
		  local x = (columnIndex-1)*TileW
		  local y = (rowIndex-1)*TileH
		  love.graphics.draw(Tileset, Quads[number], x, y)
		end
	end
end

function game.update(dt)
 
  
 
  
end

function game.keypressed(key)
	
end
